#include "guess.h"

using namespace std;

int find_number(int mx) {
   int pos = 0;
   for (int pas = 1ll << 29; pas; pas >>= 1) {
      if (pos + pas <= mx && !smaller(pos + pas)) {
         pos += pas;
      }
   }
   return pos;
}
